Page MenuHomeFreeBSD

net/intel-ixl-kmod: update to 1.7.11
ClosedPublic

Authored by skozlov on Feb 7 2017, 1:21 PM.

Details

Summary

Changes:

  • PORTVERSION bumped
  • distinfo re-generated
  • Added conditional netmap(4) support. Slave ports are excluded for now
  • Unbroken on 11

Sponsored by: Intel Corporation

Test Plan

Tested using poudriere:

Manual test:

  • Installed driver package on 10.3-RELEASE and 11.0-RELEASE-p1 (GENERIC)
  • Touch-tested basic functionality

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

skozlov updated this revision to Diff 24829.Feb 7 2017, 1:21 PM
skozlov retitled this revision from to net/intel-ixl-kmod: update to 1.6.10.
skozlov updated this object.
skozlov edited the test plan for this revision. (Show Details)
skozlov added reviewers: Intel Networking, sbruno.
skozlov set the repository for this revision to rP FreeBSD ports repository.
skozlov updated this object.Feb 7 2017, 1:21 PM
skozlov planned changes to this revision.Feb 28 2017, 10:00 AM

ixl-1.7.11 is out. Need to update the review.

skozlov updated this revision to Diff 25902.Mar 2 2017, 4:54 PM
skozlov retitled this revision from net/intel-ixl-kmod: update to 1.6.10 to net/intel-ixl-kmod: update to 1.7.11.
skozlov edited the test plan for this revision. (Show Details)
  • Updated revision to 1.7.11
  • Updated poudriere log. The Ports tree bug is fixed, no extra steps required to make poudriere like the patch
  • Touch-tested the driver on 10.3 and 11.0
This revision is now accepted and ready to land.Mar 13 2017, 12:17 AM
sbruno closed this revision.Mar 28 2017, 2:38 PM
sbruno edited edge metadata.

r436166 | pi | 2017-03-14 11:10:53 -0600 (Tue, 14 Mar 2017) | 9 lines

net/intel-ixl-kmod: update 1.4.27 -> 1.7.11

  • Now supports reporting transceiver DOM (via the -v flag to ifconfig) (DOM == Diagnostic Monitoring Interface for Optical Transceivers)

PR: 213803
Submitted by: Jeff Pieper <jeffrey.e.pieper@intel.com> (maintainer)
Changes: https://downloadmirror.intel.com/25160/eng/README.txt